API referenceAssets
POST /api/Assets/Delete
This endpoint will delete the Assets with the specified IDs. Pass an array of IDs in the request body to delete multiple Assets at once.
POST
/api/Assets/Deletecurl -X POST "/api/Assets/Delete" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
A list of deleted Assets.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.AssetManagement.AssetDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"code": "string",
"externalId": "string",
"sourceId": 0,
"parseExternally": true,
"externalBaseUrl": "string",
"type": 1,
"typeName": "string",
"pledged": true,
"location": "string",
"longitude": 0,
"latitude": 0,
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z",
"technoeconomicInfos": [
{
"validFrom": "2026-01-15T09:30:00Z",
"capacity": 0,
"minCapacity": 0,
"licensedCapacity": 0,
"installedCapacity": 0,
"isContracted": true,
"isDispatchable": true,
"cerTimeseriesId": 0,
"carTimeseriesId": 0,
"rampUpAGC": 0,
"rampDownAGC": 0,
"expectedRampUpAGC": 0,
"expectedRampDownAGC": 0,
"coldStartupCost": 0,
"warmStartupCost": 0,
"hotStartupCost": 0,
"shutdownCost": 0,
"fcrUpCap": 0,
"fcrDownCap": 0,
"afrrUpCap": 0,
"afrrDownCap": 0,
"mfrrUpCap": 0,
"mfrrDownCap": 0,
"rrUpCap": 0,
"rrDownCap": 0,
"fcrUpMaxPercentage": 0,
"fcrDownMaxPercentage": 0,
"afrrUpMaxPercentage": 0,
"afrrDownMaxPercentage": 0,
"mfrrUpMaxPercentage": 0,
"mfrrDownMaxPercentage": 0,
"rrUpMaxPercentage": 0,
"rrDownMaxPercentage": 0,
"minUpTime": 0,
"minDownTime": 0,
"chargingEfficiency": 0,
"dischargingEfficiency": 0,
"maxStoredEnergy": 0,
"minStoredEnergy": 0,
"storageCapacity": 0,
"maxLimitedEnergyFlag": true,
"maxDailyEnergy": 0,
"minLimitedEnergyFlag": true,
"minDailyEnergy": 0,
"batteryManagementSystemPowerConsumption": 0,
"hvacBaselinePower": 0,
"auxiliarySystemsPower": 0,
"safetySystemsStandbyPower": 0,
"pcsStandbyLosses": 0,
"transformerNoLoadLosses": 0,
"referenceCop": 0,
"copDegradationCoefficient": 0,
"referenceTemperature": 0,
"coolingActivationTemperature": 0,
"containerThermalTransmittance": 0,
"totalContainerSurfaceArea": 0,
"batteryRoundTripEfficiency": 0,
"pcsLossCoefficient0": 0,
"pcsLossCoefficient1": 0,
"pcsLossCoefficient2": 0,
"totalPcsCapacity": 0,
"transformerCopperLosses": 0,
"transformerRating": 0,
"solarHeatGain": 0,
"solarAbsorptivity": 0,
"hvacSetpointTemperature": 0,
"totalFixedLosses": 0,
"minUpChargingTime": 0,
"minUpDischargingTime": 0,
"minDownChargingTime": 0,
"minDownDischargingTime": 0,
"minRestingTime": 0,
"bessDischargePower": 0,
"bessChargePower": 0,
"maximumDepthOfDischarge": 0,
"selfDischargeRatePerMonth": 0,
"maxCyclesPerDay": 0,
"tariff": 0,
"rampUp": 0,
"rampDown": 0,
"agcMax": 0,
"agcMin": 0,
"heatRateA": 0,
"heatRateB": 0,
"heatRateC": 0,
"mustRunWeight": 0,
"cO2Emissions": 0,
"fuelLowerHeatingValue": 0,
"carbonContent": 0,
"cO2TonneCoefficientA": 0,
"cO2TonneCoefficientB": 0,
"cO2TonneCoefficientC": 0,
"syncTimeHot": 0,
"syncTimeWarm": 0,
"syncTimeCold": 0,
"soakTimeHot": 0,
"soakTimeWarm": 0,
"soakTimeCold": 0,
"desyncTime": 0,
"idleTimeHotToWarm": 0,
"idleTimeWarmToCold": 0,
"maintenanceAddVarCost": 0,
"humanResAddVarCost": 0,
"improvementAddVarCost": 0,
"nominalFrequencyHz": 0,
"pfrDroopPercent": 0,
"pfrDeadBandHz": 0,
"pfrActivePowerRangePercent": 0,
"pfrInitialDelayMs": 0,
"pfrFullActivationMs": 0,
"pfrSustainedDeliveryMinutes": 0,
"ffrRoCoFThresholdHzPerSec": 0,
"ffrRoCoFWindowMs": 0,
"ffrSyntheticInertiaHs": 0,
"ffrBlockOutTimerSeconds": 0,
"ffrReserveBandKw": 0,
"lfsmOThresholdHz": 0,
"lfsmODroopPercent": 0,
"lfsmUThresholdHz": 0,
"lfsmUDroopPercent": 0,
"qvDeadBandPu": 0,
"qvDroopSlope": 0,
"qvVrefPu": 0,
"powerFactorSetpoint": 0,
"ffciDeadBandPu": 0,
"ffciCurrentLimitPu": 0,
"thermalSoakFunctions": [
{}
]
}
],
"assetTimeseries": [
{
"timeseriesId": 0,
"timeseriesName": "string",
"timeseriesUnitOfMeasurement": 1,
"timeseriesUnitOfMeasurementName": "string",
"timeseriesSource": "string",
"timeseriesGranularity": -6,
"timeseriesGranularityName": "string",
"assetId": 0,
"validityOrder": 0,
"assetTimeseriesTypeId": 0,
"assetTimeseriesTypeName": "string"
}
],
"customFieldValues": [
{
"customFieldId": 0,
"customFieldName": "string",
"customFieldType": 1,
"validFrom": "2026-01-15T09:30:00Z",
"value": "string"
}
],
"assetRelationships": [
{
"sourceAssetId": 0,
"sourceAssetType": 1,
"sourceAssetTypeName": "string",
"targetAssetId": 0,
"targetAssetType": 1,
"targetAssetTypeName": "string",
"assetRelationshipTypeId": 0,
"assetRelationshipTypeName": "string"
}
]
}
]
}